WordPress 5.2 devrait sortir plus tard ce mois-ci, et il sera livré avec une mise à jour de la version minimale requise de PHP. WordPress nécessite maintenant au moins PHP 5.6.20.

À partir de WordPress 5.1, les utilisateurs exécutant des versions de PHP inférieures à 5.6 ont reçu une notification sur leur tableau de bord qui comprend les éléments suivants Informations pour vous aider à mettre à jour PHP. Depuis lors, le Statistiques WordPress ont montré une augmentation du nombre d’utilisateurs sur les nouvelles versions de PHP.


Capture d'écran du "Mise à jour PHP requise" Widget du tableau de bord WordPress.  Fournit des informations sur la façon de détecter une version non sécurisée de PHP, comment elle affectera votre site Web et un lien avec des informations sur la mise à niveau.
Les utilisateurs du widget du tableau de bord peuvent voir si une version obsolète de PHP est en cours d’exécution

Pourquoi devriez-vous mettre à jour PHP?

Si votre site fonctionne sur une version non prise en charge de PHP, le programme de mise à jour WordPress de votre site ne proposera pas WordPress 5.2. Si vous essayez de mettre à jour WordPress manuellement, cette mise à jour échouera. Pour continuer à utiliser les dernières fonctionnalités de WordPress, vous devrez passer à une version plus récente de PHP.

Lors de la mise à niveau vers une nouvelle version de PHP, WordPress recommande de passer à la version recommandée PHP 7.3. L’équipe interne de PHP a fait un excellent travail en faisant de sa dernière version la version la plus rapide de PHP à ce jour. Cela signifie que la mise à jour de votre site Web améliorera la vitesse de votre site Web pour vous et vos visiteurs.

Cette augmentation des performances signifie également que moins de serveurs sont nécessaires pour héberger des sites Web. La mise à jour de PHP n’est pas seulement bonne pour votre site Web, cela signifie également qu’elle consommera moins d’énergie pour le site Web. Sites 1 sur 3 utilisant WordPressC’est donc bon pour la planète.

Comment mettre à jour PHP

Si vous avez besoin d’aide pour passer à une nouvelle version de PHP, Une documentation détaillée est disponible. Cela inclut un exemple de communication que vous pouvez envoyer à votre hôte pour vous aider. De nombreuses sociétés d’hébergement ont publié des informations à ce sujet Mettre à jour PHP cela lui est propre.

5.6 maintenant, mais bientôt 7+

C’est la première mise à jour de la version PHP requise pour WordPress depuis lors 2010L’équipe principale de WordPress supervisera le déploiement des dernières versions de PHP pour faire de PHP 7+ la version minimale d’ici la fin de l’année.

Mettez à jour PHP aujourd’hui pour pouvoir mettre à jour WordPress demain!



Source link

Recent Posts